Upgrading

When you upgrade to a new version of the software, you create a backup copy of your IBM® Cognos® Command Center repository database, run the installation wizard, and point the new installation to your existing database.

About this task

Before you upgrade to a new version of Cognos Command Center software, create a backup copy of your repository database. If you are upgrading to Cognos Command Center version 10.2.4 FP1 or newer, ensure that you have Microsoft .NET Framework 4.7.1 or newer installed.

Note: If you are using Cognos Command Center 10.2.4 FP1, you also need to create a backup copy of your configuration files, keystores, and truststores. For more information, see http://www.ibm.com/support/docview.wss?uid=ibm10718449
Attention:

When upgrading the IBM Cognos Integration Server plug-in, you must edit all existing Cognos Integration Server computing resources because the set of attributes has changed. For more information, see the topic Cognos Command Center plug-in for Cognos Integration Server in the IBM Cognos Command Center Administration Guide.

You do not need to uninstall the existing installation of the software. The wizard installs the new version on top of the existing version. The existing configuration values and information are retained so that the fields in the pages of the wizard are pre-populated. Note that upgrading the software does not upgrade plug-ins. Plug-ins can be upgraded later by loading the plug-in compressed files in INSTALLDIR/Plugins.

When you run the installation wizard, the wizard does not delete a prior database. In the wizard, you must point the new installation to the existing database by using the following procedure.

For more information, see Server repository configuration in the wizard.

Procedure

  1. Run the unified installation wizard.
  2. On the Database Type Selection page of the wizard, select the Use existing database option.